Subject: Re: Re[2]: DLL naming conventions
From: "Gary V. Vaughan" <[email-masked]>
To: Paul Sokolovsky <[email-masked]>
Cc: Chris Faylor <[email-masked]>
Date: Thu, 31 Aug 2000 22:52:58 +0100

On Thu, Aug 31, 2000 at 02:14:56PM +0300, Paul Sokolovsky wrote:
> [[snip]]
> I'm going to submit patch to libtool which (supposing it will be
> accepted) will make it use other naming scheme for PW32,
> posix-on-win32 layer I maintain. If it is in favor of Cygwin,
> community, I may do the same for cygwin too.
> 
> Proposed naming conventions [only pertinent one shown]
> 
>  For some library 'foo', libtool will procude on
> 
> Cygwin:
> libfoo.la - standard libtool wrapper
> libfoo.a  - import library, thing against which objects are linked
>             ("developer" part)
> cygfoo.<release>.dll - dll, this is what gets loaded in runtime
>                        ("user" part)
> 
> Note that <release> is standard part of name of shared libraries
> produced by libtool. While it sequency of three arbitrary numbers,
> there's strictly recommended policy to using them - in two words, they
> should reflect interface version, never version of library itself. And
> yes, there's a way to disable putting it in name. Most packages don't do
> that, however.
> [[snip]

That's not how libtool works on cygwin -- remember that libtool only
want's you to see (and thus link against) the libfoo.la file.  Behind
the scenes it maintains a static library, libfoo.a, and a dynamic
library, libfoo-<release>.dll.  When you link against libfoo.la and
libtool decides you want dynamic linkage, it will generate an import
library from libfoo-<release>.dll *on the fly*.

I have no objections to using cyg instead of lib as the default prefix
for libtool built dlls on cygwin, but installing an import library
would be a step backwards IMHO.  If you do want to install it (for
people who don't like libtool perhaps), I would suggest naming it
cygfoo.dll.a.

Cheers,
	Gary.
-- 
  ___              _   ___   __              _         mailto: [email-masked]
 / __|__ _ _ ___ _| | / / | / /_ _ _  _ __ _| |_  __ _ ___       [email-masked] 
| (_ / _` | '_|// / |/ /| |/ / _` | || / _` | ' \/ _` | _ \
 \___\__,_|_|\_, /|___(_)___/\__,_|\_,_\__, |_||_\__,_|//_/
home page:  /___/                      /___/                  gpg public key:
http://www.oranda.demon.co.uk           http://www.oranda.demon.co.uk/key.asc

--
Want to unsubscribe from this list?
Send a message to [email-masked]